Skip to main content
POST
/
test_framework
/
v2
/
aiagents
/
{id}
/
toggle-mock-tools
Enable or disable mock tools on the provider
curl --request POST \
  --url https://api.cekura.ai/test_framework/v2/aiagents/{id}/toggle-mock-tools/ \
  --header 'Content-Type: application/json' \
  --header 'X-CEKURA-API-KEY: <api-key>' \
  --data '
{
  "enabled": true,
  "api_key": "<string>"
}
'
{
  "progress_id": "<string>"
}

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Path Parameters

id
integer
required

A unique integer value identifying this ai agent.

Body

enabled
boolean
required

True to enable mock mode, false to disable.

api_key
string

Optional API key. If not provided, stored credentials are used.

Response

progress_id
string
required